Bug 181418 - Shift+Insert no longer works as expected
Summary: Shift+Insert no longer works as expected
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: vte   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL: http://bugzilla.gnome.org/show_bug.cg...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-13 21:30 UTC by Nalin Dahyabhai
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.11.18-1.fc5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-23 15:22:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nalin Dahyabhai 2006-02-13 21:30:30 UTC
Description of problem:
After updating to vte-0.11.18-1.fc5.1, pressing Shift+Insert in gnome-terminal
pastes the contents of the CLIPBOARD clipboard.  This is not vte's traditional
behavior, nor that of xterm, which it imitated.

Version-Release number of selected component (if applicable):
0.11.18-1.fc5.1

How reproducible:
Always

Steps to Reproduce:
1. Get to a command prompt.
2. Select some text using the pointing device.
3. Attempt to copy the text to the terminal command-line by pressing Shift+Insert.
  
Actual results:
The text pasted is whatever has been explicitly copied (i.e., the contents of
the CLIPBOARD selection buffer) and not what's been selected (the contents of
the PRIMARY selection buffer, unless I have them confused).

Expected results:
The contents of the PRIMARY buffer get pasted in.

Comment 1 Matthias Clasen 2006-02-14 06:09:38 UTC
The relevant upstream bug is http://bugzilla.gnome.org/show_bug.cgi?id=123844

Comment 2 Behdad Esfahbod 2006-02-14 07:23:56 UTC
Ok, following up in upstream.

Comment 3 Anchor Systems Managed Hosting 2006-02-22 05:54:00 UTC
Fixed in FC5 test3 vte-0.11.18-1.fc5.2.

Comment 4 Nalin Dahyabhai 2006-02-23 15:22:11 UTC
Confirmed fixed at least as of today's Raw Hide (vte-0.11.18-1.fc5.2), closing.


Note You need to log in before you can comment on or make changes to this bug.